import BasicLayout from '../layouts/BasicLayout';

import Exception403 from '../routes/Exception/403';
import Exception404 from '../routes/Exception/404';
import Exception500 from '../routes/Exception/500';

import ImageList from '../routes/Resource/ImageList';
import VideoList from '../routes/Resource/VideoList';

import TagList from '../routes/Product/TagList';
import TagSave from '../routes/Product/TagSave';

import WareList from '../routes/Product/WareList';
import WareSave from '../routes/Product/WareSave';

import LessonList from '../routes/Product/LessonList';
import LessonSave from '../routes/Product/LessonSave';

import CourseList from '../routes/Product/CourseList';
import CourseSave from '../routes/Product/CourseSave';

import SupportList from '../routes/Product/SupportList';
import SupportSave from '../routes/Product/SupportSave';

import ItemList from '../routes/Goods/ItemList';
import ItemSave from '../routes/Goods/ItemSave';

const data = [
  {
    component: BasicLayout,
    layout: 'BasicLayout',
    name: '首页', // for breadcrumb
    path: '/',
    children: [
      // 一级菜单：销售概览模块,
      // filter为true为不在侧边菜单显示
      {
        name: '销售概览',
        icon: 'dashboard',
        path: 'sales',
        children: [{
          name: '概览',
          path: 'view',
          component: Exception404,
        },{
          name: '销售详情',
          path: 'detail',
          component: Exception404,
        }],
      },
      // 一级菜单：资源管理模块
      {
        name: '资源管理',
        icon: 'folder',
        path: 'resource',
        children: [{
          name: '图库管理',
          path: 'image',
          component: ImageList,
        },{
          name: '视频管理',
          path: 'video',
          component: VideoList,
        }],
      },
      // 一级菜单：课程及周边配套管理
      {
        name: '产品管理',
        icon: 'appstore',
        path: 'product',
        children: [{
          name: '标签管理',
          path: 'tag',
          component: TagList,
          filter: true,
          children: [{
            name: '添加',
            path: 'add',
            component: TagSave,
          },{
            name: '编辑',
            path: 'edit',
            component: TagSave,
          }],
        },{
          name: '课件管理',
          path: 'ware',
          component: WareList,
          filter: true,
          children: [{
            name: '添加',
            path: 'add',
            component: WareSave,
          },{
            name: '编辑',
            path: 'edit',
            component: WareSave,
          }],
        },{
          name: '课管理',
          path: 'lesson',
          component: LessonList,
          filter: true,
          children: [{
            name: '添加',
            path: 'add',
            component: LessonSave,
          },{
            name: '编辑',
            path: 'edit',
            component: LessonSave,
          }],
        },{
          name: '课程管理',
          path: 'course',
          component: CourseList,
          filter: true,
          children: [{
            name: '添加',
            path: 'add',
            component: CourseSave,
          },{
            name: '编辑',
            path: 'edit',
            component: CourseSave,
          }],
        },{
          name: '周边配套管理',
          path: 'support',
          component: SupportList,
          filter: true,
          children: [{
            name: '添加',
            path: 'add',
            component: SupportSave,
          },{
            name: '编辑',
            path: 'edit',
            component: SupportSave,
          }]
        }],
      },
      // 一级菜单：产品管理模块
      {
        name: '商品管理',
        icon: 'shopping-cart',
        path: 'goods',
        children: [{
          name: '商品管理',
          path: 'item',
          component: ItemList,
          filter: true,
          children: [{
            name: '添加',
            path: 'add',
            component: ItemSave,
          },{
            name: '编辑',
            path: 'edit',
            component: ItemSave,
          }],
        },{
          name: '商品包管理',
          path: 'combo',
          component: Exception404,
        }],
      },
      // 一级菜单：厂商管理
      {
        name: '厂商管理',
        icon: 'team',
        path: 'merchant',
        children: [{
          name: '供应商管理',
          path: 'cp',
          component: Exception404,
        },{
          name: '渠道方管理',
          path: 'project',
          component: Exception404,
        }],
      },
      // 一级菜单：订单管理模块
      {
        name: '交易管理',
        icon: 'trademark',
        path: 'trade',
        children: [{
          name: '订单管理',
          path: 'order',
          component: Exception404,
        }],
      },
      // 一级菜单：终端管理模块
      {
        name: '终端管理',
        icon: 'desktop',
        path: 'terminal',
        children: [{
          name: '终端用户',
          path: 'user',
          component: Exception404,
        },{
          name: '校区管理',
          path: 'campus',
          component: Exception404,
        }],
      },
      // 一级菜单：行为统计模块
      {
        name: '行为统计',
        icon: 'scan',
        path: 'action',
        children: [{
          name: '使用记录',
          path: 'usage',
          component: Exception404,
        }],
      }
    ],
  },
];

export function getNavData() {
  return data;
}

export default data;
