import pathToRegexp from 'path-to-regexp';
import { notification, message } from 'antd';
import { getCourseList } from '../services/ProductApi';
import { dateFormat } from '../utils/utils';
import Logger from '../utils/logger';

const logger = new Logger('CourseModel');

// function CourseItemFormTemp() {
//   return {
//     code: '',
//     name: '',
//     digest: '',
//     status: '',
//     wareList: [],
//   };
// }
//
export default {
  namespace: 'course',

  state: {
    data: {
      list: [],
      pagination: {},
    },
    loading: false,
    // lessonItem: lessonItemFormTemp(),
  },

  effects: {
    *getCourseList({ payload }, { put, call }) {
      yield put({ type: 'changeLoading', payload: { loading: true } });

      const response = yield call(getCourseList, payload);

      const data = {
        list: dateFormat(response.data.list || []),
        pagination: {
          pageSize : response.data.pageSize || 15,
          current  : response.data.pageNo || 1,
          total    : response.data.totalSize || 0,
        }
      };

      yield put({ type: 'saveCourseList', payload: { data } });
      yield put({ type: 'changeLoading', payload: { loading: false }});
    },
    // *getLessonOne({ payload }, { put, call }) {
    //   const response = yield call(getLessonItem, payload);
    //
    //   const data = response.data || {};
    //
    //   yield put({ type: 'saveItemData', payload: data });
    // },
    // *addLessonItem({ payload }, { put, call }) {
    //   const response = yield call(addLessonItem, payload);
    //   if (!response || response.code !== 200) {
    //     notification.error({
    //       message: '创建课失败!',
    //       description: response.message,
    //     });
    //   }
    //   else {
    //     notification.success({
    //       message: '创建课成功!',
    //       description: '成功创建1个课',
    //     });
    //   }
    // },
    // *updateLessonItem({ payload }, { put, call }) {
    //   const response = yield call(updateLessonItem, payload);
    //   if (!response || response.code !== 200) {
    //     notification.error({
    //       message: '更新课失败!',
    //       description: response.message,
    //     });
    //   }
    //   else {
    //     notification.success({
    //       message: '更新课成功!',
    //       description: '成功更新1个课',
    //     });
    //   }
    // },
    // *delLessonItem({ payload }, { put, call }) {
    //   const response = yield call(delLessonItem, payload);
    //   if (!response || response.code !== 200) {
    //     notification.error({
    //       message: '删除课失败!',
    //       description: response.message,
    //     });
    //   }
    //   else {
    //     notification.success({
    //       message: '删除课成功!',
    //       description: '成功删除1个课',
    //     });
    //   }
    // }
  },

  reducers: {
    saveCourseList(state, action) {
      return {
        ...state,
        ...action.payload,
      }
    },
    changeLoading(state, action) {
      return {
        ...state,
        ...action.payload,
      }
    },
    // saveItemData(state, action) {
    //   return {
    //     ...state,
    //     lessonItem: {
    //       code: action.payload.code,
    //       name: action.payload.name,
    //       digest: action.payload.digest,
    //       status: action.payload.status,
    //       wareList: action.payload.wareList || [],
    //     }
    //   }
    // },
    // clearAll(state) {
    //   return {
    //     ...state,
    //     lessonItem: lessonItemFormTemp(),
    //   }
    // }
  },
}
