import { getCPList } from '../services/CPApi';
import Logger from '../utils/logger';
import { dateFormat } from '../utils/utils';

const logger = new Logger('CPModel');

export default {
  namespace: 'cp',

  state: {
    cpList: [],
  },

  effects: {
    *getCPList({ payload }, { call, put }) {
      const response = yield call(getCPList);

      if (response.err) {
        logger.error('getCPList request error: %o', response.err);
        return;
      }
      else {
        logger.debug('getCPList request success: %o', response);
      }

      yield put({
        type: 'saveCPList',
        payload: dateFormat(response.data.list || []),
      });
    },
  },

  reducers: {
    saveCPList(state, action) {
      return {
        ...state,
        cpList: action.payload,
      }
    },
  },
}
