import { stringify } from 'qs';
import { cloneDeep } from 'lodash';
import { message } from 'antd';
import request from '../utils/request';
import config from '../utils/config';

const { api } = config;
const { itemList, itemItem, itemItemAdd, itemItemUpdate, itemItemDel } = api;

export async function getItemList(params) {
  return request(`${itemList}?${stringify(params)}`);
}

export async function getItemItem(params) {
  let apiPath = itemItem.split('/:');
  const queryBy = apiPath.pop();
  const id = params[queryBy];
  return request(`${apiPath.join('/')}/${id}`);
}

export async function addItemItem(params) {
  const options = {
    method: 'POST',
    body: { ...params },
  };
  return request(`${itemItemAdd}`, options);
}

export async function updateItemItem(params) {
  const options = {
    method: 'PUT',
    body: { ...params },
  };
  return request(`${itemItemUpdate}`, options);
}

export async function delItemItem(params) {
  const options = {
    method: 'DELETE',
    body: { ...params },
  };
  return request(`${itemItemDel}`, options);
}
