import { stringify } from 'qs';
import { message } from 'antd';
import request from '../utils/request';
import config from '../utils/config';

export async function getResourceList(params) {
  return request(`${config.api.resourceList}?${stringify(params)}`);
}

export async function getOssUploadParams() {
  return request(`${config.api.ossUploadParams}`);
}

export async function uploadToOss(params) {
  const { ossParams, fileList } = params;
  const host = ossParams.host;           //上传地址
  const expire = ossParams.expire;       //失效时间
  const policy = ossParams.policy;       //上传策略
  const signature = ossParams.signature; //上传签名
  const dir = ossParams.dir;             //上传目录
  const path = ossParams.path;           //上传路径
  const accessid = ossParams.accessid;   //授权ID

  if (host && signature && policy && accessid) {
    return {code: 200, success: true};
    // const headers = {};
    // const body = {
    //   signature,
    //   policy,
    //   accessid,
    // }
    // return request(host, {headers, body});
  } else {
    message.error('程序异常，缺失上传参数!');
  }
}

export async function submitOssUploadResult(params) {
  return request(`${config.api.resourceSave}`, params);
}
