/**
 * 该项目的全局配置文件
 * Date: 2017-11-10
 */

/* 为什么要定义这两个变量 */
const APIV1 = '/api/v1';
const APIV2 = '/api/v2';

module.exports = {
  /* log配置 */
  log: {
   level: 'debug', // 输出日志级别设定
   debug:[],       // 需要单独指定debug级别的logger
   info: [],       // 需要单独指定info级别的logger
   warn: [],       // 需要单独指定warn级别的logger
   error:[],       // 需要单独指定error级别的logger
  },

  /* 资源类型 */
  RESOURCE_TYPE_VIDEO: 0,
  RESOURCE_TYPE_AUDIO: 1,
  RESOURCE_TYPE_LIVE : 2,
  RESOURCE_TYPE_IMAGE: 3,

  /* 标签类别 */
  TAG_TYPE: [
    { name: '课程', value: 0 },
    { name: '师训', value: 1 },
    { name: '周边', value: 2 },
  ],

  /* 课件类型 */
  WARE_TYPE: [
    { name: '图片', value: 0 },
    { name: '视频', value: 1 },
  ],
  WARE_TYPE_IMAGE: 0,
  WARE_TYPE_VIDEO: 1,

  /* 课件状态 */
  WARE_STATE: [
    { name: '出售中', value: 0 },
    { name: '已删除', value: 1 },
  ],

  /* 课状态 */
  LESSON_STATE: [
    { name: '出售中', value: 'NORMAL' },
    { name: '已删除', value: 'DELETE' },
  ],

  /* 课程状态 */
  COURSE_STATE: [
    { name: '出售中', value: 'NORMAL' },
    { name: '已删除', value: 'DELETE' },
  ],

  /* 周边状态 */
  SUPPORT_STATE: [
    { name: '出售中', value: 'NORMAL' },
    { name: '已删除', value: 'DELETE' },
  ],

  /* 商品类型 */
  ITEM_TYPE: [
    { name: '课', value: 'LESSON' },
    { name: '课程', value: 'COURSE' },
    { name: '周边', value: 'SUPPORT' },
  ],

  /* 商品状态 */
  ITEM_STATE: [
    { name: '出售中', value: 'SALE' },
    { name: '已下架', value: 'OFFLINE' },
  ],

  /* 已有价格类型 */
  PRICE_TYPE: [
    { name: '季', value: 'season' },
    { name: '半年', value: 'month' },
    { name: '年', value: 'year' },
  ],

  /* 路由地址映射 */
  ROUTER_MAP: {
    tagList    : '/product/tag',
    wareList   : '/product/ware',
    lessonList : '/product/lesson',
    courseList : '/product/course',
    supportList: '/product/support',
  },

  /* action映射 */
  ACTION_MAP: {
    cpList      : 'cp/getCPList',
    tagList     : 'tag/getTagList',
    merchantList: 'merchant/getAllMerchants',
    itemList    : 'item/getItemList',
    itemItem    : 'item/getItemOne',
    itemClear   : 'item/clearAll',
    tagList     : 'tag/getTagList',
    tagItem     : 'tag/getTagOne',
    tagClear    : 'tag/clearAll',
    wareList    : 'ware/getWareList',
    wareItem    : 'ware/getWareOne',
    wareClear   : 'ware/clearAll',
    lessonList  : 'lesson/getLessonList',
    lessonItem  : 'lesson/getLessonOne',
    lessonClear : 'lesson/clearAll',
    courseList  : 'course/getCourseList',
    courseItem  : 'course/getCourseOne',
    courseClear : 'course/clearAll',
    supportList : 'support/getSupportList',
    supportItem : 'support/getSupportOne',
    supportItemUpdate  : 'support/updateSupportItem',
    supportItemAdd     : 'support/addSupportItem',
    supportSaveItemData: 'support/saveItemData',
    supportClear       : 'support/clearAll',
  },

  /* 接口地址 */
  apiPrefix: '/api/v1',
  api: {
   resourceList     : `${APIV1}/resource/list`,
   resourceSave     : `${APIV1}/resource`,
   ossUploadParams  : `${APIV1}/oss/upload`,
   merchantList     : `${APIV1}/merchant/list`,
   cpList           : `${APIV1}/cp/list`,
   tagList          : `${APIV1}/tag/list`,
   tagItem          : `${APIV1}/tag/:tagId`,
   tagItemAdd       : `${APIV1}/tag`,
   tagItemUpdate    : `${APIV1}/tag`,
   tagItemDel       : `${APIV1}/tag`,
   wareList         : `${APIV1}/ware/list`,
   wareItemAdd      : `${APIV1}/ware`,
   wareItemDel      : `${APIV1}/ware`,
   wareItemUpdate   : `${APIV1}/ware`,
   lessonList       : `${APIV1}/lesson/list`,
   lessonItem       : `${APIV1}/lesson/:code`,
   lessonItemAdd    : `${APIV1}/lesson`,
   lessonItemDel    : `${APIV1}/lesson`,
   lessonItemUpdate : `${APIV1}/lesson`,
   courseList       : `${APIV1}/course/list`,
   courseItem       : `${APIV1}/course/:code`,
   courseItemAdd    : `${APIV1}/course`,
   courseItemDel    : `${APIV1}/course`,
   courseItemUpdate : `${APIV1}/course`,
   supportList      : `${APIV1}/support/list`,
   supportItem      : `${APIV1}/support/:code`,
   supportItemAdd   : `${APIV1}/support`,
   supportItemDel   : `${APIV1}/support`,
   supportItemUpdate: `${APIV1}/support`,
   itemList         : `${APIV1}/item/list`,
   itemItem         : `${APIV1}/item/:id`,
   itemItemAdd      : `${APIV1}/item`,
   itemItemUpdate   : `${APIV1}/item`,
   itemItemDel      : `${APIV1}/item`,
  },
}
